--- VirtualBox-7.0.0.orig/src/VBox/Runtime/r3/linux/semevent-linux.cpp
+++ VirtualBox-7.0.0/src/VBox/Runtime/r3/linux/semevent-linux.cpp
@@ -35,7 +35,7 @@
  */
 
 #include <features.h>
-#if __GLIBC_PREREQ(2,6) && !defined(IPRT_WITH_FUTEX_BASED_SEMS)
+#if defined(__GLIBC__) && !defined(IPRT_WITH_FUTEX_BASED_SEMS)
 
 /*
  * glibc 2.6 fixed a serious bug in the mutex implementation. We wrote this
--- VirtualBox-7.0.0.orig/src/VBox/Runtime/r3/linux/semeventmulti-linux.cpp
+++ VirtualBox-7.0.0/src/VBox/Runtime/r3/linux/semeventmulti-linux.cpp
@@ -36,7 +36,7 @@
 
 
 #include <features.h>
-#if __GLIBC_PREREQ(2,6) && !defined(IPRT_WITH_FUTEX_BASED_SEMS)
+#if defined(__GLIBC__) && !defined(IPRT_WITH_FUTEX_BASED_SEMS)
 
 /*
  * glibc 2.6 fixed a serious bug in the mutex implementation. We wrote this
--- VirtualBox-7.0.0.orig/src/VBox/Runtime/r3/linux/thread-affinity-linux.cpp
+++ VirtualBox-7.0.0/src/VBox/Runtime/r3/linux/thread-affinity-linux.cpp
@@ -42,6 +42,8 @@
 # define _GNU_SOURCE
 #endif
 #include <features.h>
+
+#if defined(__GLIBC__)
 #if __GLIBC_PREREQ(2,4)
 
 #include <sched.h>
@@ -97,6 +99,11 @@
 
     return VINF_SUCCESS;
 }
+
+#else
+# include "../../generic/RTThreadGetAffinity-stub-generic.cpp"
+# include "../../generic/RTThreadSetAffinity-stub-generic.cpp"
+#endif
 
 #else
 # include "../../generic/RTThreadGetAffinity-stub-generic.cpp"
